Page MenuHomePhabricator

Rename "getWorkingCopy()" to "getWorkingCopyIdentity()" in Arcanist
ClosedPublic

Authored by epriestley on Apr 8 2020, 7:37 PM.
Tags
None
Referenced Files
F10884611: D21075.diff
Fri, Jul 1, 10:30 AM
Unknown Object (File)
Tue, Jun 28, 12:01 AM
Unknown Object (File)
Sun, Jun 26, 11:40 PM
Unknown Object (File)
Mon, Jun 13, 3:18 PM
Unknown Object (File)
Sat, Jun 11, 3:28 PM
Unknown Object (File)
Fri, Jun 10, 5:42 PM
Unknown Object (File)
Wed, Jun 8, 12:29 PM
Unknown Object (File)
May 29 2022, 12:12 PM
Subscribers
None

Details

Summary

Depends on D21074. Ref T13490. Ref T11968. Before toolsets, Arcanist has a "WorkingCopyIdentity" object. After toolsets, it has a "WorkingCopy" object.

Most workflows don't access either one, so make a slightly-breaking API change to simplify the transition.

  • "getWorkingCopy()" now returns a modern object (a "WorkingCopy").
  • "getWorkingCopyIdentity()" now returns an older object (a "WorkingCopyIdentity").

This isn't backward-compatible, but out-of-date code should get an explicit failure with clear resolution steps.

Test Plan

Ran "arc lint", "arc branch", and a few other commands. Grepped for "getWorkingCopy()".

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 10 2020, 11:24 AM
This revision was automatically updated to reflect the committed changes.